Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	GMPC Plugins - Plugins for the Gnome Music Player Client
Name:		gmpc-plugins
Version:	0.20.0
Release:	1
License:	GNU/GPL 
URL:		http://cms.qballcow.nl/index.php?page=Gnome_Music_Player_Client
Group:		Sound
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires:	libmpd-devel libtool intltool gob2
BuildRequires:	gtk2+-devel glib-devel atk-devel pango-devel libglade-devel
BuildRequires:	curl-devel libsoup-devel libsexy-devel libidn-devel
BuildRequires:	openldap-devel cyrus-sasl-devel gmpc-devel libxml2-devel
BuildRequires:	sqlite-devel libshout-devel taglib-devel xosd-devel
BuildRequires:	avahi-devel dbus-devel dbus-glib-devel
BuildRequires:	libmicrohttpd-devel webkitgtk-devel
BuildRequires:	geoclue-devel libproxy-devel libxslt-devel
BuildRequires:	libjpeg-devel vala-devel

# libtool bogus dependency
BuildRequires:	libgcrypt-devel
BuildRequires:  libgpg-error-devel

%description
GMPC Plugins - Plugins for the Gnome Music Player Client

%package all
Summary:        %name - all plugins
Group:          Sound
Requires:	%name-alarm
Requires:	%name-albumview
Requires:	%name-awn
Requires:	%name-avahi
Requires:	%name-album-cover
Requires:	%name-jamendo
Requires:	%name-lastfm
Requires:	%name-extraplaylist
Requires:	%name-lyrics
Requires:	%name-magnatune
Requires:	%name-mserver
Requires:	%name-mmkeys
Requires:	%name-fullscreeninfo
Requires:	%name-shoutcast
Requires:	%name-tagedit
Requires:	%name-playlistsort

%description all
will install all gmpc-plugins

   - alarm plugin
   - album-cover plugin
   - albumview plugin
   - avahi plugin
   - awn plugin
   - extraplaylist plugin
   - fullscreeninfo plugin
   - jamendo plugin
   - lastfm plugin
   - lyrics plugin
   - magnatune plugin
   - mserver plugin
   - multimedia keys plugin
   - playlistsort plugin
   - shoutcast plugin
   - tagedit plugin

%package alarm
Summary:        %name - alarm plugin
Group:          Sound

%description alarm
%name - alarm plugin

%package albumview
Summary:        %name - albumview plugin
Group:          Sound

%description albumview
%name - albumview plugin

%package awn
Summary:        %name - avant window navigator plugin
Group:          Sound

%description awn
%name - avant window navigator plugin

%package avahi
Summary:        %name - avahi plugin
Group:          Sound

%description avahi
%name - avahi plugin

%package album-cover
Summary:        %name - album cover plugin
Group:          Sound

%description album-cover
%name - album cover plugin (Amazon & md)

%package jamendo
Summary:        %name - jamendo plugin
Group:          Sound

%description jamendo
%name - jamendo plugin

%package lastfm
Summary:        %name - lastfm plugin
Group:          Sound

%description lastfm
%name - lastfm plugin

%package extraplaylist
Summary:        %name - extraplaylist plugin
Group:          Sound

%description extraplaylist
%name - extraplaylist plugin

%package lyrics
Summary:        %name - lyrics plugin
Group:          Sound

%description lyrics
%name - lyrics plugin

%package magnatune
Summary:        %name - magnatune plugin
Group:          Sound

%description magnatune
%name - magnatune plugin

%package mserver
Summary:        %name - mserver plugin
Group:          Sound

%description mserver
%name - This Plugin lets you stream music files to your mpd that are not in your database.

%package fullscreeninfo
Summary:        %name - fullscreeninfo plugin
Group:          Sound

%description fullscreeninfo
%name - fullscreeninfo plugin

%package shoutcast
Summary:        %name - shoutcast plugin
Group:          Sound

%description shoutcast
%name - shoutcast plugin

%package tagedit
Summary:        %name - tagedit plugin
Group:          Sound

%description tagedit
%name - Add to GMPC an editor for song tags.

%package playlistsort
Summary:        %name - playlistsort plugin
Group:          Sound

%description playlistsort
%name - playlistsort plugin

%package mmkeys
Summary:        %name - Multimedia keys plugin
Group:          Sound

%description mmkeys
%name - Multimedia keys plugin

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=%_prefix --sysconfdir=%_sysconfdir --mandir=%_mandir \
	--disable-lirc --disable-wikipedia
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_datadir}/applications
#install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files all
%defattr(-,root,root)

%files albumview
%defattr(-,root,root)
%_libdir/gmpc/plugins/albumviewplugin.*
%_datadir/gmpc-albumview/icons/Humanity/128x128/apps/albumview.png
%_datadir/gmpc-albumview/icons/Humanity/16x16/apps/albumview.png
%_datadir/gmpc-albumview/icons/Humanity/22x22/apps/albumview.png
%_datadir/gmpc-albumview/icons/Humanity/24x24/apps/albumview.png
%_datadir/gmpc-albumview/icons/Humanity/32x32/apps/albumview.png
%_datadir/gmpc-albumview/icons/Humanity/48x48/apps/albumview.png
%_datadir/gmpc-albumview/icons/Humanity/64x64/apps/albumview.png
%_datadir/gmpc-albumview/icons/Humanity/72x72/apps/albumview.png
%_datadir/gmpc-albumview/icons/Humanity/96x96/apps/albumview.png
%_datadir/gmpc-albumview/icons/Humanity/scalable/apps/albumview.svg
%_datadir/gmpc-albumview/icons/hicolor/128x128/apps/albumview.png
%_datadir/gmpc-albumview/icons/hicolor/16x16/apps/albumview.png
%_datadir/gmpc-albumview/icons/hicolor/22x22/apps/albumview.png
%_datadir/gmpc-albumview/icons/hicolor/24x24/apps/albumview.png
%_datadir/gmpc-albumview/icons/hicolor/32x32/apps/albumview.png
%_datadir/gmpc-albumview/icons/hicolor/48x48/apps/albumview.png
%_datadir/gmpc-albumview/icons/hicolor/64x64/apps/albumview.png
%_datadir/gmpc-albumview/icons/hicolor/72x72/apps/albumview.png
%_datadir/gmpc-albumview/icons/hicolor/96x96/apps/albumview.png
%_datadir/gmpc-albumview/icons/hicolor/scalable/apps/albumview.svg

%files awn
%defattr(-,root,root)
%_libdir/gmpc/plugins/awnplugin.*

%files fullscreeninfo
%defattr(-,root,root)
%_libdir/gmpc/plugins/fullscreeninfoplugin.*
%_locale/ar/LC_MESSAGES/gmpc-fullscreeninfo.mo      
%_locale/bg/LC_MESSAGES/gmpc-fullscreeninfo.mo      
%_locale/bs/LC_MESSAGES/gmpc-fullscreeninfo.mo      
%_locale/de/LC_MESSAGES/gmpc-fullscreeninfo.mo      
%_locale/es/LC_MESSAGES/gmpc-fullscreeninfo.mo      
%_locale/fr/LC_MESSAGES/gmpc-fullscreeninfo.mo      
%_locale/ga/LC_MESSAGES/gmpc-fullscreeninfo.mo      
%_locale/hu/LC_MESSAGES/gmpc-fullscreeninfo.mo      
%_locale/nb/LC_MESSAGES/gmpc-fullscreeninfo.mo      
%_locale/nl/LC_MESSAGES/gmpc-fullscreeninfo.mo
%_locale/pl/LC_MESSAGES/gmpc-fullscreeninfo.mo
%_locale/ro/LC_MESSAGES/gmpc-fullscreeninfo.mo
%_locale/ru/LC_MESSAGES/gmpc-fullscreeninfo.mo
%_locale/sq/LC_MESSAGES/gmpc-fullscreeninfo.mo
%_locale/sv/LC_MESSAGES/gmpc-fullscreeninfo.mo
%_locale/zh_CN/LC_MESSAGES/gmpc-fullscreeninfo.mo

%files mserver
%defattr(-,root,root)
%_libdir/gmpc/plugins/gmpcmserverplugin.*
%_datadir/gmpc/plugins/gmpc-mserver/gmpc-mserver.png

%files tagedit
%defattr(-,root,root)
%_libdir/gmpc/plugins/gmpctageditplugin.*
%_locale/bg/LC_MESSAGES/gmpc-tagedit.mo             
%_locale/bs/LC_MESSAGES/gmpc-tagedit.mo             
%_locale/de/LC_MESSAGES/gmpc-tagedit.mo             
%_locale/es/LC_MESSAGES/gmpc-tagedit.mo             
%_locale/fr/LC_MESSAGES/gmpc-tagedit.mo             
%_locale/it/LC_MESSAGES/gmpc-tagedit.mo             
%_locale/ja/LC_MESSAGES/gmpc-tagedit.mo             
%_locale/nb/LC_MESSAGES/gmpc-tagedit.mo
%_locale/nl/LC_MESSAGES/gmpc-tagedit.mo
%_locale/pl/LC_MESSAGES/gmpc-tagedit.mo
%_locale/ro/LC_MESSAGES/gmpc-tagedit.mo
%_locale/ru/LC_MESSAGES/gmpc-tagedit.mo
%_locale/sv/LC_MESSAGES/gmpc-tagedit.mo
%_locale/zh_CN/LC_MESSAGES/gmpc-tagedit.mo

%files playlistsort
%defattr(-,root,root)
%_libdir/gmpc/plugins/playlistsortplugin.*

%files alarm
%defattr(-,root,root)
%_libdir/gmpc/plugins/alarmplugin.*
%_locale/bg/LC_MESSAGES/gmpc-alarm.mo               
%_locale/bs/LC_MESSAGES/gmpc-alarm.mo               
%_locale/de/LC_MESSAGES/gmpc-alarm.mo               
%_locale/es/LC_MESSAGES/gmpc-alarm.mo               
%_locale/fi/LC_MESSAGES/gmpc-alarm.mo               
%_locale/fr/LC_MESSAGES/gmpc-alarm.mo               
%_locale/hu/LC_MESSAGES/gmpc-alarm.mo               
%_locale/it/LC_MESSAGES/gmpc-alarm.mo               
%_locale/ja/LC_MESSAGES/gmpc-alarm.mo               
%_locale/ml/LC_MESSAGES/gmpc-alarm.mo               
%_locale/nb/LC_MESSAGES/gmpc-alarm.mo               
%_locale/nl/LC_MESSAGES/gmpc-alarm.mo
%_locale/pl/LC_MESSAGES/gmpc-alarm.mo
%_locale/ro/LC_MESSAGES/gmpc-alarm.mo
%_locale/ru/LC_MESSAGES/gmpc-alarm.mo
%_locale/sq/LC_MESSAGES/gmpc-alarm.mo
%_locale/sv/LC_MESSAGES/gmpc-alarm.mo
%_locale/tr/LC_MESSAGES/gmpc-alarm.mo
%_locale/zh_CN/LC_MESSAGES/gmpc-alarm.mo
%_locale/en_CA/LC_MESSAGES/gmpc-alarm.mo
%_locale/id/LC_MESSAGES/gmpc-alarm.mo
%_locale/pt_BR/LC_MESSAGES/gmpc-alarm.mo

%files avahi
%defattr(-,root,root)
%_libdir/gmpc/plugins/avahiplugin.*

%files album-cover
%defattr(-,root,root)
%_libdir/gmpc/plugins/mdcaplugin.*
%_locale/bs/LC_MESSAGES/gmpc-mdcover.mo             
%_locale/de/LC_MESSAGES/gmpc-mdcover.mo             
%_locale/es/LC_MESSAGES/gmpc-mdcover.mo             
%_locale/fr/LC_MESSAGES/gmpc-mdcover.mo             
%_locale/nl/LC_MESSAGES/gmpc-mdcover.mo
%_locale/pl/LC_MESSAGES/gmpc-mdcover.mo
%_locale/ro/LC_MESSAGES/gmpc-mdcover.mo
%_locale/ru/LC_MESSAGES/gmpc-mdcover.mo
%_locale/sq/LC_MESSAGES/gmpc-mdcover.mo
%_locale/sv/LC_MESSAGES/gmpc-mdcover.mo
%_locale/zh_CN/LC_MESSAGES/gmpc-mdcover.mo
%_libdir/gmpc/plugins/discogsplugin.*
%_locale/bs/LC_MESSAGES/gmpc-discogs.mo             
%_locale/de/LC_MESSAGES/gmpc-discogs.mo             
%_locale/es/LC_MESSAGES/gmpc-discogs.mo             
%_locale/fr/LC_MESSAGES/gmpc-discogs.mo             
%_locale/hu/LC_MESSAGES/gmpc-discogs.mo             
%_locale/nb/LC_MESSAGES/gmpc-discogs.mo             
%_locale/nl/LC_MESSAGES/gmpc-discogs.mo
%_locale/pl/LC_MESSAGES/gmpc-discogs.mo
%_locale/ro/LC_MESSAGES/gmpc-discogs.mo
%_locale/ru/LC_MESSAGES/gmpc-discogs.mo
%_locale/sq/LC_MESSAGES/gmpc-discogs.mo
%_locale/sv/LC_MESSAGES/gmpc-discogs.mo
%_locale/zh_CN/LC_MESSAGES/gmpc-discogs.mo

%files jamendo
%defattr(-,root,root)
%_libdir/gmpc/plugins/jamendoplugin.*
%_datadir/gmpc/plugins/jamendo/jamendo.png

%files lastfm
%defattr(-,root,root)
%_libdir/gmpc/plugins/lastfmplugin.*
%_locale/bg/LC_MESSAGES/gmpc-lastfm.mo              
%_locale/bs/LC_MESSAGES/gmpc-lastfm.mo              
%_locale/de/LC_MESSAGES/gmpc-lastfm.mo              
%_locale/es/LC_MESSAGES/gmpc-lastfm.mo              
%_locale/fi/LC_MESSAGES/gmpc-lastfm.mo              
%_locale/fr/LC_MESSAGES/gmpc-lastfm.mo              
%_locale/hu/LC_MESSAGES/gmpc-lastfm.mo              
%_locale/ja/LC_MESSAGES/gmpc-lastfm.mo              
%_locale/nb/LC_MESSAGES/gmpc-lastfm.mo              
%_locale/nl/LC_MESSAGES/gmpc-lastfm.mo
%_locale/pl/LC_MESSAGES/gmpc-lastfm.mo
%_locale/pt_BR/LC_MESSAGES/gmpc-lastfm.mo
%_locale/pt/LC_MESSAGES/gmpc-lastfm.mo
%_locale/ro/LC_MESSAGES/gmpc-lastfm.mo
%_locale/ru/LC_MESSAGES/gmpc-lastfm.mo
%_locale/sv/LC_MESSAGES/gmpc-lastfm.mo
%_locale/zh_CN/LC_MESSAGES/gmpc-lastfm.mo

%files extraplaylist
%defattr(-,root,root)
%_libdir/gmpc/plugins/libextraplaylist.*

%files magnatune
%defattr(-,root,root)
%_libdir/gmpc/plugins/magnatuneplugin.*
%_datadir/gmpc/plugins/magnatune/magnatune.png

%files shoutcast
%defattr(-,root,root)
%_libdir/gmpc/plugins/shoutplugin.*
%_locale/bs/LC_MESSAGES/gmpc-shout.mo               
%_locale/de/LC_MESSAGES/gmpc-shout.mo               
%_locale/es/LC_MESSAGES/gmpc-shout.mo               
%_locale/fr/LC_MESSAGES/gmpc-shout.mo               
%_locale/nb/LC_MESSAGES/gmpc-shout.mo               
%_locale/nl/LC_MESSAGES/gmpc-shout.mo
%_locale/pl/LC_MESSAGES/gmpc-shout.mo
%_locale/ro/LC_MESSAGES/gmpc-shout.mo
%_locale/ru/LC_MESSAGES/gmpc-shout.mo
%_locale/zh_CN/LC_MESSAGES/gmpc-shout.mo

%files lyrics
%defattr(-,root,root)
%_libdir/gmpc/plugins/lyricsplugin.*
%_libdir/gmpc/plugins/lyricwikiplugin.*
#%_libdir/gmpc/plugins/wikiplugin.*
#%_datadir/gmpc/plugins/wikipedia/wikipedia.png
%_locale/bg/LC_MESSAGES/gmpc-lyricwiki.mo           
%_locale/bs/LC_MESSAGES/gmpc-lyricwiki.mo           
%_locale/de/LC_MESSAGES/gmpc-lyricwiki.mo           
%_locale/es/LC_MESSAGES/gmpc-lyricwiki.mo           
%_locale/fi/LC_MESSAGES/gmpc-lyricwiki.mo           
%_locale/fr/LC_MESSAGES/gmpc-lyricwiki.mo           
%_locale/it/LC_MESSAGES/gmpc-lyricwiki.mo           
%_locale/nb/LC_MESSAGES/gmpc-lyricwiki.mo           
%_locale/nl/LC_MESSAGES/gmpc-lyricwiki.mo
%_locale/pl/LC_MESSAGES/gmpc-lyricwiki.mo
%_locale/pt_BR/LC_MESSAGES/gmpc-lyricwiki.mo
%_locale/ro/LC_MESSAGES/gmpc-lyricwiki.mo
%_locale/ru/LC_MESSAGES/gmpc-lyricwiki.mo
%_locale/sl/LC_MESSAGES/gmpc-lyricwiki.mo
%_locale/sq/LC_MESSAGES/gmpc-lyricwiki.mo
%_locale/sv/LC_MESSAGES/gmpc-lyricwiki.mo
%_locale/zh_CN/LC_MESSAGES/gmpc-lyricwiki.mo

%files mmkeys
%defattr(-,root,root)
%_libdir/gmpc/plugins/mmkeysplugin.*


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Dec 23 2010 Stefan Gottwald <gotti@ccux-linux.de> 0.20.0-1
- version update
* Thu Feb 19 2009 Stefan Gottwald <gotti@ccux-linux.de> 0.17.96-1
- Initial Release
